# HG changeset patch
# Node ID eabb66a25a79
# Parent  b3ef628e8016
diff --git a/talkatu/data/historyrow.ui b/talkatu/data/historyrow.ui
--- a/talkatu/data/historyrow.ui
+++ b/talkatu/data/historyrow.ui
@@ -19,112 +19,67 @@ along with this library; if not, see <ht
 
 -->
 <interface>
-  <requires lib="gtk+" version="3.18"/>
+  <requires lib="gtk" version="4.0"/>
   <!-- interface-license-type gplv2 -->
   <!-- interface-name Talkatu -->
   <!-- interface-description GTK widgets for chat applications -->
   <!-- interface-copyright Gary Kramlich <grim@reaperworld.com> -->
   <template class="TalkatuHistoryRow" parent="GtkListBoxRow">
-    <property name="visible">True</property>
-    <property name="can-focus">False</property>
-    <child>
+    <property name="can-focus">0</property>
+    <property name="child">
       <object class="GtkBox">
-        <property name="visible">True</property>
-        <property name="can-focus">False</property>
+        <property name="can-focus">0</property>
         <child>
-          <object class="GtkEventBox" id="avatar_event">
-            <property name="can-focus">False</property>
-            <child>
-              <object class="GtkImage" id="avatar_image">
-                <property name="visible">True</property>
-                <property name="can-focus">False</property>
-                <property name="icon-name">image-missing</property>
-              </object>
-            </child>
+          <object class="GtkImage" id="avatar_image">
+            <property name="can-focus">0</property>
+            <property name="icon-name">image-missing</property>
+            <property name="visible">0</property>
           </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
         </child>
         <child>
           <object class="GtkBox">
-            <property name="visible">True</property>
-            <property name="can-focus">False</property>
+            <property name="hexpand">1</property>
+            <property name="can-focus">0</property>
             <property name="orientation">vertical</property>
             <child>
               <object class="GtkBox">
-                <property name="visible">True</property>
-                <property name="can-focus">False</property>
+                <property name="can-focus">0</property>
                 <property name="spacing">8</property>
                 <child>
                   <object class="GtkLabel" id="author">
-                    <property name="visible">True</property>
-                    <property name="can-focus">False</property>
+                    <property name="can-focus">0</property>
                     <property name="label" translatable="yes">Author</property>
-                    <property name="use-markup">True</property>
+                    <property name="use-markup">1</property>
                   </object>
-                  <packing>
-                    <property name="expand">False</property>
-                    <property name="fill">True</property>
-                    <property name="position">0</property>
-                  </packing>
                 </child>
                 <child>
                   <object class="GtkLabel" id="timestamp">
-                    <property name="visible">True</property>
-                    <property name="can-focus">False</property>
+                    <property name="can-focus">0</property>
                     <property name="label" translatable="yes">12:34PM</property>
-                    <property name="use-markup">True</property>
+                    <property name="use-markup">1</property>
                   </object>
-                  <packing>
-                    <property name="expand">False</property>
-                    <property name="fill">True</property>
-                    <property name="position">1</property>
-                  </packing>
                 </child>
                 <child>
                   <object class="GtkLabel" id="edited">
-                    <property name="can-focus">False</property>
+                    <property name="visible">0</property>
+                    <property name="can-focus">0</property>
                     <property name="label" translatable="yes">(edited)</property>
                   </object>
-                  <packing>
-                    <property name="expand">False</property>
-                    <property name="fill">True</property>
-                    <property name="position">2</property>
-                  </packing>
                 </child>
               </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">True</property>
-                <property name="position">0</property>
-              </packing>
             </child>
             <child>
               <object class="GtkLabel" id="content">
-                <property name="visible">True</property>
-                <property name="can-focus">False</property>
-                <property name="wrap">True</property>
+                <property name="can-focus">0</property>
+                <property name="wrap">1</property>
                 <property name="wrap-mode">word-char</property>
                 <property name="xalign">0</property>
                 <property name="yalign">0</property>
               </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">True</property>
-                <property name="position">1</property>
-              </packing>
             </child>
           </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">1</property>
-          </packing>
         </child>
       </object>
-    </child>
+    </property>
   </template>
 </interface>
diff --git a/talkatu/talkatuhistoryrow.c b/talkatu/talkatuhistoryrow.c
--- a/talkatu/talkatuhistoryrow.c
+++ b/talkatu/talkatuhistoryrow.c
@@ -34,7 +34,6 @@ struct _TalkatuHistoryRow {
 
 	TalkatuMessage *message;
 
-	GtkWidget *avatar_event;
 	GtkWidget *avatar_image;
 	GtkWidget *author;
 	GtkWidget *timestamp;
@@ -230,8 +229,6 @@ talkatu_history_row_class_init(TalkatuHi
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
 	gtk_widget_class_bind_template_child(widget_class, TalkatuHistoryRow,
-	                                     avatar_event);
-	gtk_widget_class_bind_template_child(widget_class, TalkatuHistoryRow,
 	                                     avatar_image);
 	gtk_widget_class_bind_template_child(widget_class, TalkatuHistoryRow,
 	                                     author);
